## textchk 2002.01.10

=== Makefile ===
# Used by Debian GNU/Linux.
DESTDIR=debian/textchk

# Where to put binaries on "make install".
BIN =  $(DESTDIR)/usr/bin

# Where to put documentation, readme and copyright
DOCDIR= $(DESTDIR)/usr/share/doc/textchk

# Man directory
MANDIR= $(DESTDIR)/usr/share/man/man1
INFODIR= $(DESTDIR)/usr/share/info
PODIR= $(DESTDIR)/usr/share/locale/it/LC_MESSAGES

# Must be root to install.
install:

	install -d $(DOCDIR) $(BIN) $(MANDIR) $(PODIR) $(INFODIR)
	install -m755 ./bin/*		$(BIN)
	install -m644 ./doc/textchk.ps			$(DOCDIR)
	install -m644 ./doc/textchk.html		$(DOCDIR)
	cp -a ./doc/examples				$(DOCDIR)
	install -m644 ./doc/textchk.info		$(INFODIR)

clean:

# No compilation needed
all:


#-----------------------------------------------------------------------
# Internal use
#-----------------------------------------------------------------------

Textchkclean:
	./textchk.ver
	rm -rf *.orig
	rm -rf *.orig?
	rm -rf *.orig??
	rm -rf *.orig???
	rm -rf bin/*.orig
	rm -rf bin/*.orig?
	rm -rf bin/*.orig??
	rm -rf bin/*.orig???
	rm -rf etc/*.orig
	rm -rf etc/*.orig?
	rm -rf etc/*.orig??
	rm -rf etc/*.orig???
	rm -rf doc/*.orig
	rm -rf doc/*.orig?
	rm -rf doc/*.orig??
	rm -rf doc/*.orig???
	rm -rf man/*.orig
	rm -rf man/*.orig?
	rm -rf man/*.orig??
	rm -rf man/*.orig???
	rm -rf share/*.orig
	rm -rf share/*.orig?
	rm -rf share/*.orig??
	rm -rf share/*.orig???
	cd doc ; make ; make clean ; cd ..

Maintainersclean:
	rm -rf build-stamp
	rm -rf configure-stamp
	rm -rf debian/textchk.*
	rm -rf debian/files
	rm -rf debian/textchk

Textchkspell:
	@ispell bin/textchk				; \
	ispell Makefile

Textchkmessages:
	@xgettext bin/textchk
