=== debian/changelog ===
textchk (2002.01.10) unstable; urgency=low

  * Fixed another mispelled word in description. (closes: Bug#128210)

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Tue, 10 Jan 2002 19:40:00 +0200

textchk (2002.01.08) unstable; urgency=low

  * Mispelled words in description. Fixed. (closes: Bug#128210)

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Tue, 08 Jan 2002 08:00:00 +0200

textchk (2001.08.29) unstable; urgency=low

  * Packaging 2001.08.29 release.
  * First Debian release.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sun, 16 Dec 2001 12:00:00 +0200

Local variables:
mode: debian-changelog
End:
