=== debian/control ===
Source: textchk
Section: doc
Priority: optional
Maintainer: Gaetano Paolone (bigpaul) <bigpaul@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), gettext
Standards-Version: 3.5.2

Package: textchk
Architecture: all
Depends: ${perl:Depends}, liblocale-gettext-perl (>= 1.01-8), sharutils
Description: This package provides a text analysis system.
 Textchk is a text analysis system to check spelling and/or stylistic
 conventions.
